Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Class AbstractPropertyLocator

    java.lang.Object
      |
      +--com.bea.p13n.property.AbstractPropertyLocator

All Implemented Interfaces:
  PropertyLocator, Serializable

public abstract class AbstractPropertyLocator
extends Object
implements PropertyLocator, Serializable

Lightweight object that contains ConfigurableEntity's unique attributes. PropertyLocator objects are used by the EntityProperty manager implementations to identify ConfigurableEntities.

See Also:
  Serialized Form

Constructor Summary
`AbstractPropertyLocator()`

Method Summary
`int` | `compareTo(Object o)` Standard compareTo operator
`boolean` | `equals(Object o)` Standard equals operator
`String` | `getJndiHomeName()` Get the jndiHomeName of an entity
`String` | `getPkString()` Get the pk of an entity
`String` | `getPropertySetType()` Get the propertySetType of an entity
`int` | `hashCode()` Return a hashCode based on all fields to enable lookups in a HashMap
`void` | `setJndiHomeName(String s)` Set the jndiHomeName of an entity
`void` | `setPkString(String s)` Set the pk of an entity
`void` | `setPropertySetType(String s)` Set the propertySetType of an entity
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractPropertyLocator

    public AbstractPropertyLocator()

Method Detail

### equals

    public boolean equals(Object o)

  Standard equals operator

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object o)

  Standard compareTo operator

### hashCode

    public int hashCode()

  Return a hashCode based on all fields to enable lookups in a HashMap

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setJndiHomeName

    public void setJndiHomeName(String s)

  Set the jndiHomeName of an entity

### getJndiHomeName

    public String getJndiHomeName()

  Get the jndiHomeName of an entity

  Specified by:
    `getJndiHomeName` in interface `PropertyLocator`

### setPkString

    public void setPkString(String s)

  Set the pk of an entity

### getPkString

    public String getPkString()

  Get the pk of an entity

  Specified by:
    `getPkString` in interface `PropertyLocator`

### setPropertySetType

    public void setPropertySetType(String s)

  Set the propertySetType of an entity

### getPropertySetType

    public String getPropertySetType()

  Get the propertySetType of an entity

  Specified by:
    `getPropertySetType` in interface `PropertyLocator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved